Symantec Veritas NetBackup Long Request Buffer Overflow Vulnerability

2006-12-13T00:00:00
ID ZDI-06-049
Type zdi
Reporter Sebastian Apelt
Modified 2006-11-09T00:00:00

Description

This vulnerability allows attackers to execute arbitrary code on vulnerable installations of Symantec Veritas NetBackup. Authentication is not required to exploit this vulnerability.

The specific flaw exists within bpcd.exe during the parsing of overly long requests to a NetBackup Master/Media Server. Communications to this process are prefixed with a length, which, if malformed can result in a stack based buffer overflow. Exploitation of this vulnerability can lead to complete system compromise.